<!DOCTYPE html>
<html>
 <head>
  <meta charset="utf-8" />
  <title>homework7</title>
 </head>
  <body>
  <div id="first">
   
  </div>
<div id="demo">

</div>

<script>

 let words = ['key', [['2', '3']], 'sea', 'user', 23];
 let lis = ""; 
 let ul; 
  
 function ulLi (obj) { 
 for (let item of obj) {
    lis += '<li>' + (typeof item === 'object' ? ulLi(item) : item)+ '</li>';
 } 
 
  if (lis) {
        ul = '<ul>' + lis + '</ul>'
      }
  return ul || '';

 }
 function write () { 
 document.getElementById("first").innerHTML = ulLi(words);
 }
 function delwrite () { 
 document.getElementById("first").innerHTML = "";
 }
 
 function retreat (from,to) { 
  let current = from; 
 let timerId = setInterval(function() {
          document.getElementById("demo").innerHTML = current;
    if (current == to) {
    document.getElementById("demo").innerHTML = "";
return; 
    }
    current--; 
  }, 1000);
 
 }
 retreat(9,0); 
 
setTimeout(write, 1000);
setTimeout(delwrite, 10000);
</script> 
</body> 
</html>
